Summary:       A Mail User Agent
Name:          mutt
Version:       2.2.9
Release:       5%{?dist}
License:       GPLv2+ and Public Domain
Url:           http://www.mutt.org
Source0:       http://ftp.mutt.org/pub/mutt/mutt-%{version}.tar.gz
Source1:       mutt_ldap_query

Patch0001:     0001-Fix-write_one_header-illegal-header-check.patch
Patch0002:     0002-Fix-rfc2047-base64-decoding-to-abort-on-illegal-char.patch
Patch0003:     0003-Check-for-NULL-userhdrs.patch
Patch3000:     mutt-1.10.0-muttrc.patch
Patch3001:     mutt-1.8.0-cabundle.patch
Patch3002:     mutt-1.7.0-syncdebug.patch
Patch3003:     mutt-1.5.23-system_certs.patch
Patch3004:     mutt-1.9.0-ssl_ciphers.patch
Patch3005:     mutt-1.9.4-lynx_no_backscapes.patch
Patch3006:     mutt-1.9.5-nodotlock.patch
Patch3007:     mutt-1.12.1-optusegpgagent.patch

BuildRequires: make gcc automake
BuildRequires: ncurses-devel gettext /usr/bin/xsltproc docbook-style-xsl perl-interpreter
BuildRequires: perl-generators lynx docbook2X tokyocabinet-devel gdbm-devel
BuildRequires: gnutls-devel cyrus-sasl-devel krb5-devel libidn2-devel gpgme-devel
Requires:      mailcap urlview


%description
Mutt is a small but very powerful text-based MIME mail client.  Mutt
is highly configurable, and is well suited to the mail power user with
advanced features like key bindings, keyboard macros, mail threading,
regular expression searches and a powerful pattern matching language
for selecting groups of messages.


%prep
%autosetup -p1
sed -i -r 's/`$GPGME_CONFIG --libs`/"\0 -lgpg-error"/' configure
install -p -m644 %{SOURCE1} mutt_ldap_query
rm -f mutt_ssl.c


%build
autoreconf --install
%configure \
    SENDMAIL=%{_sbindir}/sendmail \
    ISPELL=%{_bindir}/hunspell \
    --enable-debug \
    --enable-pop \
    --enable-imap \
    --enable-smtp \
    --enable-hcache \
    --without-qdbm \
    --with-gnutls \
    --with-sasl \
    --with-gss \
    --without-idn \
    --with-idn2 \
    --enable-gpgme \
    --enable-sidebar \
    --with-docdir=%{_pkgdocdir}

%make_build

sed -i -r 's/<a id="id[a-z0-9]\+">/<a id="id">/g' doc/manual.html

oauth2_script="contrib/mutt_oauth2.py"
t=$(stat -c %y "${oauth2_script}")
sed -i "s:^#\!/usr/bin/env\s\+python3\s\?$:#!%{python3}:" "${oauth2_script}"
touch -d "$t" "${oauth2_script}"


%install
%make_install

cat contrib/gpg.rc >> %{buildroot}%{_sysconfdir}/Muttrc
grep -5 "^color" contrib/sample.muttrc >> %{buildroot}%{_sysconfdir}/Muttrc

cat >> %{buildroot}%{_sysconfdir}/Muttrc <<\EOF
source %{_sysconfdir}/Muttrc.local
EOF

echo "# Local configuration for Mutt." > %{buildroot}%{_sysconfdir}/Muttrc.local

rm -f %{buildroot}%{_sysconfdir}/*.dist
rm -f %{buildroot}%{_sysconfdir}/mime.types
rm -f %{buildroot}%{_bindir}/mutt_dotlock
rm -f %{buildroot}%{_bindir}/muttbug
rm -f %{buildroot}%{_bindir}/flea
rm -f %{buildroot}%{_mandir}/man1/mutt_dotlock.1*
rm -f %{buildroot}%{_mandir}/man1/muttbug.1*
rm -f %{buildroot}%{_mandir}/man1/flea.1*
rm -f %{buildroot}%{_mandir}/man5/mbox.5*
rm -f %{buildroot}%{_mandir}/man5/mmdf.5*
rm -rf %{buildroot}%{_pkgdocdir}
rm %{buildroot}%{_infodir}/dir
ln -sf ./muttrc.5 %{buildroot}%{_mandir}/man5/muttrc.local.5


%find_lang %{name}

%files -f %{name}.lang
%license COPYRIGHT GPL
%doc ChangeLog NEWS README* UPDATING mutt_ldap_query
%doc contrib/mutt_oauth2.py contrib/mutt_oauth2.py.README
%doc contrib/*.rc contrib/sample.* contrib/colors.*
%doc doc/manual.html doc/manual.txt doc/smime-notes.txt
%config(noreplace) %{_sysconfdir}/Muttrc
%config(noreplace) %{_sysconfdir}/Muttrc.local
%{_bindir}/mutt
%{_bindir}/mutt_pgpring
%{_bindir}/pgpewrap
%{_bindir}/smime_keys
%{_mandir}/man1/mutt.*
%{_mandir}/man1/smime_keys.*
%{_mandir}/man1/mutt_pgpring.*
%{_mandir}/man1/pgpewrap.*
%{_mandir}/man5/muttrc.*
%{_infodir}/mutt.info.*


%changelog
* Fri Oct 20 2023 Miaojun Dong <zoedong@tencent.com> - 2.2.9-5
- Fix CVE-2023-4874, CVE-2023-4875

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Miaojun Dong <zoedong@tencent.com> - 2.2.9-1
- initial build
